#
# Conditional build:
%bcond_with	tests		# build without tests
#
%define		kdeframever	5.113
%define		qtver		5.15.2
%define		kfname		modemmanager-qt
Summary:	Qt wrapper for ModemManager DBus API
Name:		kf5-%{kfname}
Version:	5.113.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	11f566407f2d9dece0acc2ab839cd062
URL:		http://www.kde.org/
BuildRequires:	ModemManager-devel
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
%if %{with tests}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
%endif
BuildRequires:	cmake >= 3.16
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt wrapper for ModemManager DBus API.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%{?with_tests:%ninja_build -C build test}


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libKF5ModemManagerQt.so.*.*.*
%ghost %{_libdir}/libKF5ModemManagerQt.so.6
%{_datadir}/qlogging-categories5/modemmanagerqt.categories
%{_datadir}/qlogging-categories5/modemmanagerqt.renamecategories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF5ModemManagerQt.so
%{_includedir}/KF5/ModemManagerQt
%{_libdir}/cmake/KF5ModemManagerQt
%changelog
* Sat Dec 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-modemmanager-qt.git;a=log;h=master

* Fri Dec 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2dc6f82
- updated to 5.113.0

* Mon Nov 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5504154
- updated to 5.112.0

* Thu Oct 19 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 1d14d18
- updated to 5.111.0

* Sun Sep 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 165a253
- updated to 5.110.0

* Fri Aug 18 2023 Witold Filipczyk <witekfl@poczta.onet.pl> aaacd87
- updated to 5.109.0; cmake -B build

* Sun Jul 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f274805
- updated to 5.108.0

* Sun Jun 11 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9c1d8a0
- updated to 5.107.0

* Sun May 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f4517aa
- updated to 5.106.0

* Sun Apr 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> eb3c1c5
- updated to 5.105.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d2e86a0
- rebuild against QT 5.15.9

* Mon Mar 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d967bf2
- updated to 5.104.0

* Sun Feb 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f547d14
- updated to 5.103.0

* Mon Jan 16 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5dc3f93
- updated to 5.102.0

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 45307de
- rebuild against QT 5.15.8

* Sat Dec 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 79ab060
- updated to 5.101.0

* Tue Nov 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a90b16e
- updated to 5.100.0

* Thu Nov 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 792b84b
- rebuild against QT 5.15.7

* Mon Oct 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5752061
- updated to 5.99.0

* Mon Sep 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c7e93d7
- updated to 5.98.0

* Wed Aug 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 119e0ea
- relup

